import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  npiNumber: z.literal(true).optional(),
  providerName: z.literal(true).optional(),
  sortOrder: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const NpiProviderMinAggregateInputObjectSchema: z.ZodType<Prisma.NpiProviderMinAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.NpiProviderMinAggregateInputType>;
export const NpiProviderMinAggregateInputObjectZodSchema = makeSchema();
